Summary:	Lists files open by processes
Name:		lsof
Version:	4.94.0
Release:	%mkrel 1
# Sendmail .. lib/snpf.c
# LGPLv2+  .. lib/regex.c, regex.h
License:	zlib and Sendmail and LGPLv2+
Group:		Monitoring
Url:		https://github.com/lsof-org/lsof
Source0:	https://github.com/lsof-org/lsof/archive/%{version}/%{name}-%{version}.tar.xz
Patch0:		lsof_4.64-perl-example-fix.patch
Patch1:		lsof_4.60-has-security.patch
Patch3:		lsof-man-page-section.patch

%description
Lsof's name stands for LiSt Open Files, and it does just that. It lists
information about files that are open by the processes running on a UNIX
system.

%prep
%setup -q
%apply_patches

%build
LINUX_BASE=/proc LSOF_LDFLAGS="%{ldflags}" ./Configure -n linux

find -name Makefile | xargs perl -pi -e "s|^CFGL=.*|CFGL=%{ldflags} -L./lib -llsof -ltirpc|g"

%make_build DEBUG="%{optflags} -I/usr/include/tirpc"

# rebase to 4.93 introduced change in Lsof.8 with unhandled .so inclusion
soelim -r Lsof.8 > lsof.1

%install
install -m 0755 %{name} -D %{buildroot}%{_sbindir}/%{name}
install -m 0644 lsof.1 -D %{buildroot}%{_mandir}/man1/lsof.1

%files
%doc 00*
%attr(0755,root,kmem) %{_sbindir}/%{name}
%{_mandir}/man1/lsof.1*

%changelog
* Fri Nov 20 2020 tex - 4.94.0-1pclos2020
- new version

* Sat Jul 13 2019 tex - 4.93.2-1pclos2019
- new version: 4.93.2
